import 'package:domain/entity/response/s_g_labour_request_detail_entity.dart';
import 'package:domain/entity/response/t_h_o_a_labour_detail_entity.dart';
import 'package:flutter/material.dart';
import 'package:plugin_basic/basic_export.dart';

class LabourRequestAddState {

  //表单的校验与数据
  Map<String, Map<String, dynamic>> formData = {
    'remark': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter...'.tr,
      'obsecure': false,
    },
    'need_male': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Male'.tr,
      'obsecure': false,
    },
    'need_female': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Female'.tr,
      'obsecure': false,
    },
    'need_no': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Needs Num'.tr,
      'obsecure': false,
    },
    'event': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter...'.tr,
      'obsecure': false,
    },
    'event_type': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter...'.tr,
      'obsecure': false,
    },
    'event_pax': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter...'.tr,
      'obsecure': false,
    },
    'revenue': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter...'.tr,
      'obsecure': false,
    },
    'position': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter...'.tr,
      'obsecure': false,
    },
    'total_cost': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter...'.tr,
      'obsecure': false,
    },
  };

  int pageType = 0; // 0 是新增  1是编辑  2是详情
  String? requestId;  //编辑和详情需要用到ID
  bool isReviewEdit = false;  //编辑状态下判断是否是Review中跳转过来的
  void Function(dynamic value)? cb;

  List<String> genderOptions = ["Gender Unlimited".tr, "Gender Limited".tr];
  int genderOptionType = 0;  //使用哪一种类型限制

  THOALabourDetailEntity? editDetailEntity;

  DateTime? selectedStartTime;
  DateTime? selectedEndTime;

  DateTime? selectedRepeatStartTime;
  DateTime? selectedRepeatEndTime;

  String? selectedOutletId;
  String? selectedOutlet;

  String? selectedJobTitleId;
  String? selectedJobTitleName;

  String? selectedTypeId;
  String? selectedType;

  String? attFilePath;
}
