import 'package:domain/entity/response/job_list_e_r_detail_entity.dart';
import 'package:domain/entity/response/labour_request_e_r_option_entity.dart';
import 'package:flutter/material.dart';
import 'package:plugin_basic/basic_export.dart';

class LabourRequestERAddState {

  //表单的校验与数据
  Map<String, Map<String, dynamic>> formData = {
    'remark': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter...'.tr,
      'obsecure': false,
    },
    'need_male': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Male'.tr,
      'obsecure': false,
    },
    'need_female': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Female'.tr,
      'obsecure': false,
    },
    'need_no': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Needs Num'.tr,
      'obsecure': false,
    },
    'event_name': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Event Name'.tr,
      'obsecure': false,
    },
    'event_type': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Event Type'.tr,
      'obsecure': false,
    },
  };

  int pageType = 0;  //pageType 0新增  1是编辑  2是详情
  String? jobId;  //编辑和详情需要用到ID
  void Function(dynamic value)? cb;

  List<String> genderOptions = ["Gender Unlimited".tr, "Gender Limited".tr];
  int genderOptionType = 0;  //使用哪一种类型限制

  JobListERDetailEntity? editDetailEntity;

  DateTime? selectedStartTime;
  DateTime? selectedEndTime;

  DateTime? selectedRepeatStartTime;
  DateTime? selectedRepeatEndTime;

  String? selectTitleId;
  String? selectTitleName;

  String? selectOutletId;
  String? selectOutletName;
}
