import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/labour_request_e_r_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/labour_request_e_r_option_entity.g.dart';

@JsonSerializable()
class LabourRequestEROptionEntity {
  @JSONField(name: "title_list")
  List<IndexOptionEntity> titleList = [];
  @JSONField(name: "outlet_list")
  List<IndexOptionEntity> outletList = [];
  @JSONField(name: "limit_list")
  List<IndexOptionEntity> limitList = [];
  @JSONField(name: "ot_radios")
  List<IndexOptionEntity> otRadios = [];

  @JSONField(name: "outlet_manager")
  bool? outletManager;
  @JSONField(name: "hiring_num")
  String? hiringNum;
  @JSONField(name: "sex_limit")
  int? sexLimit;
  @JSONField(name: "male_limit")
  String? maleLimit;
  @JSONField(name: "female_limit")
  String? femaleLimit;
  @JSONField(name: "with_ot_job")
  bool? withOtJob;
  String? view;

  LabourRequestEROptionEntity();

  factory LabourRequestEROptionEntity.fromJson(Map<String, dynamic> json) => $LabourRequestEROptionEntityFromJson(json);

  Map<String, dynamic> toJson() => $LabourRequestEROptionEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
