const Map<String, String> th_TH = {
  'YY Employer': 'YY Employer',
  'Please enter your password': 'กรุณาใส่รหัสผ่านของคุณ',
  'The login code cannot be empty!': 'รหัสผ่านหรือตัวล็อกอินห้ามว่าง!',
  'The password cannot be empty!': 'รหัสผ่านห้ามว่าง!',
  'The new password cannot be empty!': 'รหัสผ่านใหม่ห้ามว่าง!',
  'Log in': 'เข้าสู่ระบบ',
  'Password': 'รหัสผ่าน',
  'Email': 'อีเมล',
  'Name/Mobile': 'ชื่อ/โทรศัพท์',
  'Check In': 'เช็คอิน',
  'Check Out': 'เช็คเอ้าท์',
  'Job Date': 'วันที่ทำงาน',
  'Start Time:': 'เวลาเริ่มงาน:',
  'End Time:': 'เวลาสิ้นสุด:',
  'Start Time': 'เวลาเริ่ม',
  'End Time': 'เวลาสิ้นสุด',
  'Name:': 'ชื่อ:',
  'Reset': 'รีเซ็ต',
  'Start Date': 'วันที่เริ่ม',
  'End Date': 'วันที่สิ้นสุด',
  'Cancel': 'ยกเลิก',
  'Confirm': 'ยืนยัน',
  'Sign Here': 'กรุณาเซ็นที่นี่',
  'Clean': 'ล้าง',
  'Vietnam': 'เวียดนาม',
  'Sign in/Sign out': 'ลงชื่อเข้าใช้/ลงชื่อออก',
  'Admin': 'ผู้ดูแลระบบ',
  'Don’t have an account?': 'ยังไม่มีบัญชี?',
  'Sign up': 'สมัครสมาชิก',
  'Confirm Password': 'ยืนยันรหัสผ่าน',
  'Please enter your email': 'กรุณาใส่อีเมลของคุณ',
  'Please enter confirm password': 'กรุณาใส่รหัสผ่านยืนยัน',
  'Submit': 'ส่ง',
  'The email cannot be empty!': 'อีเมลห้ามว่าง!',
  'The confirm password cannot be empty!': 'รหัสผ่านยืนยันห้ามว่าง!',
  'Please confirm your confirmed password!': 'กรุณายืนยันรหัสผ่านที่คุณยืนยัน!',
  'Reset Password': 'รีเซ็ตรหัสผ่าน',
  'New Password': 'รหัสผ่านใหม่',
  'Please enter your new password': 'กรุณาใส่รหัสผ่านใหม่ของคุณ',
  'Labour Request': 'คำขอแรงงาน',
  'Job List': 'รายการงาน',
  'Sign in Sign out': 'ลงชื่อเข้าใช้และลงชื่อออก',
  'Devices': 'อุปกรณ์',
  'Labour Request Review': 'การตรวจสอบคำขอแรงงาน',
  'Attendance Review': 'การตรวจสอบการเข้าร่วม',
  'Default Job Title': 'ชื่องานเริ่มต้น',
  'Report': 'รายงาน',
  'Confirmation': 'การยืนยัน',
  'Notice': 'ประกาศ',
  'Are you sure you need to exit the system?': 'คุณแน่ใจหรือว่าต้องการออกจากระบบ?',
  'Are you sure you want to deactivate your account? You will not be able to login into the app once you proceed with the request.':
      'คุณแน่ใจหรือว่าต้องการปิดการใช้งานบัญชีของคุณ? คุณจะไม่สามารถเข้าสู่ระบบในแอปได้อีกเมื่อดำเนินการตามคำขอนี้',
  'Welcome': 'ยินดีต้อนรับ',
  'Switch Projects': 'สลับโครงการ',
  'Account Deactivation': 'การปิดการใช้งานบัญชี',
  'Logout': 'ออกจากระบบ',
  'Old Password': 'รหัสผ่านเก่า',
  'Settings': 'ตั้งค่า',
  'Title': 'หัวข้อ',
  'Create New Job Request': 'สร้างคำขอแรงงานใหม่',
  'Outlet': 'สาขา',
  'Status': 'สถานะ',
  'Filter': 'กรอง',
  'Edit': 'แก้ไข',
  'Recall': 'เรียกคืน',
  'Detail': 'รายละเอียด',
  'Outlet:': 'สาขา:',
  'DateTime:': 'วันที่และเวลา:',
  'No. of Staff:': 'จำนวนพนักงาน:',
  'Status:': 'สถานะ:',
  'Publish Status:': 'สถานะการเผยแพร่:',
  'Created At:': 'สร้างเมื่อ:',
  'Published': 'เผยแพร่',
  'Unpublished': 'ยังไม่เผยแพร่',
  'Choose Outlet': 'เลือกสาขา',
  'Choose Status': 'เลือกสถานะ',
  'Choose Job Title': 'เลือกชื่องาน',
  'Job Title': 'ชื่องาน',
  'Job Start Time': 'เวลาเริ่มงาน',
  'Job End Time': 'เวลาสิ้นสุดงาน',
  'No. of Staff': 'จำนวนพนักงาน',
  'Enter No. of Staff': 'กรอกจำนวนพนักงาน',
  'Choose Start Date': 'เลือกวันที่เริ่มต้น',
  'Choose End Date': 'เลือกวันที่สิ้นสุด',
  'Add Labour Requisition': 'เพิ่มคำขอแรงงาน',
  'Edit Labour Requisition': 'แก้ไขคำขอแรงงาน',
  'Labour Requisition': 'คำขอแรงงาน',
  'Message': 'ข้อความ',
  'Are you sure you want to recall?': 'คุณแน่ใจหรือว่าต้องการเรียกคืน?',
  'Workflow': 'กระบวนการทำงาน',
  'Remark:': 'หมายเหตุ:',
  'Audit Time:': 'เวลาตรวจสอบ:',
  'Operator:': 'ผู้ปฏิบัติงาน:',
  'Designation:': 'ตำแหน่ง:',
  'Type:': 'ประเภท:',
  'Type': 'ประเภท',
  'Node:': 'โหนด:',
  'Approved': 'ได้รับการอนุมัติ',
  'Pending': 'รอการตอบกลับ',
  'Rejected': 'ถูกปฏิเสธ',
  'Completed': 'เสร็จสิ้น',
  'Active': 'ใช้งาน',
  'Cancelled': 'ถูกยกเลิก',
  'Revised': 'ได้รับการแก้ไข',
  'Job Detail': 'รายละเอียดงาน',
  'Add Staff': 'เพิ่มพนักงาน',
  'Remarks': 'ความคิดเห็น',
  'Applied At:': 'สมัครเมื่อ:',
  'Total Rooms:': 'จำนวนห้องทั้งหมด:',
  'Total Hours:': 'จำนวนชั่วโมงทั้งหมด:',
  '+/- Hours:': '+/- ชั่วโมง:',
  'Security Out:': 'การออกจากระบบรักษาความปลอดภัย:',
  'Work Out:': 'การออกจากงาน:',
  'Work In:': 'การเข้าไปในงาน:',
  'Security In:': 'การเข้าไปในระบบรักษาความปลอดภัย:',
  'Staff Name:': 'ชื่อพนักงาน:',
  'Staff Name': 'ชื่อพนักงาน',
  'Work Out': 'การออกจากงาน',
  'Work In': 'การเข้าไปในงาน',
  'Security In': 'การเข้าไปในระบบรักษาความปลอดภัย',
  'Security Out': 'การออกจากระบบรักษาความปลอดภัย',
  '+/- Hours': '+/- ชั่วโมง',
  'Total Rooms': 'จำนวนห้องทั้งหมด',
  'Operation Approve': 'อนุมัติการดำเนินงาน',
  'Batch Modify': 'ปรับเปลี่ยนแบบกลุ่ม',
  'Please select the applied record': 'กรุณาเลือกบันทึกที่สมัคร',
  'Are you sure you want to setting approved?': 'คุณแน่ใจหรือว่าต้องการตั้งค่าให้อนุมัติ?',
  'Attitude': 'ทัศนคติ',
  'Performance': 'ประสิทธิภาพ',
  'Experience': 'ประสบการณ์',
  'Grooming': 'การแต่งตัว',
  'Enter...': 'กรุณาใส่...',
  'Please Enter Remark': 'กรุณาใส่หมายเหตุ',
  'Choose Staff': 'เลือกพนักงาน',
  'Reason': 'เหตุผล',
  'None': 'ไม่มี',
  'Forgot to clock in/out': 'ลืมลงเวลาเข้า/ออก',
  'Technical issue': 'ปัญหาทางเทคนิค',
  'Others': 'อื่นๆ',
  'Staff Detail': 'รายละเอียดพนักงาน',
  'Staff Name/ID/Phone': 'ชื่อพนักงาน/ID/โทรศัพท์',
  'Select Country': 'เลือกประเทศ',
  'Browse jobs available in your selected country.': 'เรียกดูงานที่มีอยู่ในประเทศที่คุณเลือก.',
  'Next': 'ถัดไป',
  'Singapore': 'สิงคโปร์',
  'Revise List': 'รายการแก้ไข',
  'Device List': 'รายการอุปกรณ์',
  'Device MAC:': 'MAC ของอุปกรณ์:',
  'Device Alias:': 'ชื่อเล่นของอุปกรณ์:',
  'Device No:': 'หมายเลขอุปกรณ์:',
  'Device Name:': 'ชื่ออุปกรณ์:',
  'Location:': 'ที่ตั้ง:',
  'Alive State:': 'สถานะการใช้งาน:',
  'Offline': 'ออฟไลน์',
  'Online': 'ออนไลน์',
  'Sort': 'จัดเรียง',
  'Template': 'แม่แบบ',
  'Updated At': 'อัปเดตเมื่อ',
  'Add New': 'เพิ่มใหม่',
  'Template Setting': 'การตั้งค่าแม่แบบ',
  'Enter Job Title': 'กรุณาใส่ชื่องาน',
  'Template Name': 'ชื่อแม่แบบ',
  'Contact': 'ติดต่อ',
  'Note': 'หมายเหตุ',
  'Delete': 'ลบ',
  'Are you sure you want to delete this job title?': 'คุณแน่ใจหรือว่าต้องการลบชื่องานนี้?',
  'Are you sure you want to delete this job template?': 'คุณแน่ใจหรือว่าต้องการลบแม่แบบงานนี้?',
  'Age': 'อายุ',
  'Gender': 'เพศ',
  'Preferred Language': 'ภาษาที่ต้องการ',
  'Food Hygiene Cert': 'ใบรับรองความสะอาดอาหาร',
  'Yes': 'ใช่',
  'No': 'ไม่',
  'Description': 'คำอธิบาย',
  'Contact No': 'หมายเลขติดต่อ',
  'Create Template': 'สร้างแม่แบบ',
  'Edit Template': 'แก้ไขแม่แบบ',
  'Both': 'ทั้งสอง',
  'Male': 'ชาย',
  'Female': 'หญิง',
  'English': 'อังกฤษ',
  'Chinese': 'จีน',
  'Malay': 'มาเลย์',
  'Tamil': 'ทมิฬ',
  'Hindi': 'ฮินดี',
  'Select Job Title': 'เลือกชื่องาน',
  'Select Job Start Time': 'เลือกเวลเริ่มงาน',
  'Select Job End Time': 'เลือกเวลาสิ้นสุดงาน',
  'Enter No. of Staff of The Corresponding Gender': 'กรุณาใส่จำนวนพนักงานตามเพศที่กำหนด',
  'Select Date': 'เลือกวันที่',
  'Date': 'วันที่',
  'Job Time': 'เวลางาน',
  'Repeat': 'ทำซ้ำ',
  'Repeat Start Time': 'เวลาที่เริ่มทำซ้ำ',
  'Repeat End Time': 'เวลาที่สิ้นสุดทำซ้ำ',
  'Gender Unlimited': 'ไม่จำกัดเพศ',
  'Gender Limited': 'จำกัดเพศ',
  'Needs Num': 'จำนวนที่ต้องการ',
  'Request Type': 'ประเภทคำขอ',
  'Remark': 'หมายเหตุ',
  'Are you sure you want to cancel this job?': 'คุณแน่ใจหรือว่าต้องการยกเลิกงานนี้?',
  'Are you sure you want to delete this job?': 'คุณแน่ใจหรือว่าต้องการลบงานนี้?',
  'Are you sure you want to confirm this job?': 'คุณแน่ใจหรือว่าต้องการยืนยันงานนี้?',
  'Create New Job': 'สร้างงานใหม่',
  'Search': 'ค้นหา',
  'Send E-Attendance': 'ส่งการเข้าร่วมออนไลน์',
  'Nric': 'หมายเลขประจำตัว',
  'Name / Nric': 'ชื่อ / หมายเลขประจำตัว',
  'Add Staff - Choose Staff': 'เพิ่มพนักงาน - เลือกพนักงาน',
  'Are you sure you want to send the e-attendance to agency?': 'คุณแน่ใจหรือว่าต้องการส่งการเข้าร่วมออนไลน์ไปยังหน่วยงาน?',
  'Work Clock In': 'ลงเวลาเข้าทำงาน',
  'Work Clock Out': 'ลงเวลาออกจากงาน',
  'Security Clock In': 'ลงเวลามาตรการรักษาความปลอดภัย',
  'Security Clock Out': 'ลงเวลาออกจากมาตรการรักษาความปลอดภัย',
  'Applied': 'สมัครแล้ว',
  'No Show': 'ไม่แสดงตัว',
  'Modify': 'แก้ไข',
  'Subtract Hours': 'ลดชั่วโมง',
  'Hourly Rate': 'อัตราค่าจ้างรายชั่วโมง',
  'Reviews': 'ความคิดเห็น',
  'Mobile': 'โทรศัพท์มือถือ',
  'Staff Reviews': 'ความคิดเห็นของพนักงาน',
  'Revise Hours': 'ชั่วโมงที่แก้ไข',
  'Are you sure you want to recall this revise?': 'คุณแน่ใจหรือว่าต้องการเรียกคืนการแก้ไขนี้?',
  'Are you sure you want to delete this revise?': 'คุณแน่ใจหรือว่าต้องการลบการแก้ไขนี้?',
  'Logs': 'บันทึก',
  'Date Time': 'วันที่เวลา',
  'Action': 'การกระทำ',
  'Content': 'เนื้อหา',
  'Revise': 'แก้ไข',
  'Add Revise': 'เพิ่มการแก้ไข',
  'Edit Revise': 'แก้ไขการแก้ไข',
  'Incomplete': 'ไม่สมบูรณ์',
  'Completed + Incomplete': 'เสร็จสิ้น + ไม่สมบูรณ์',
  'YY Casual Labour Report': 'รายงานแรงงานชั่วคราว YY',
  'TotalAmt': 'ยอดรวม',
  'Hours': 'ชั่วโมง',
  'Monthly Staff Request Report': 'รายงานคำขอพนักงานประจำเดือน',
  'Finance Report': 'รายงานการเงิน',
  'Created By': 'สร้างโดย',
  'Language': 'ภาษา',
  'Korea': 'เกาหลี',
  'United Kingdom': 'สหราชอาณาจักร',
  'Jobs': 'งาน',
  'Security Registration': 'การลงทะเบียนรักษาความปลอดภัย',
  'E-Attendance': 'การเข้าร่วมออนไลน์',
  'Job Template': 'แม่แบบงาน',
  'Batch Confirm': 'ยืนยันแบบกลุ่ม',
  'Batch Reject': 'ปฏิเสธแบบกลุ่ม',
  'Device': 'อุปกรณ์',
  'Outlet Request': 'คำขอสาขา',
  'Working Hours': 'ชั่วโมงการทำงาน',
  'Casual Payout': 'การจ่ายเงินชั่วคราว',
  'Casual Report': 'รายงานชั่วคราว',
  'Manpower Needed': 'จำนวนแรงงานที่ต้องการ',
  'Actual Num': 'จำนวนจริง',
  'Completed Num': 'จำนวนที่เสร็จสิ้น',
  'Dashboard': 'แผงควบคุม',
  'Agency': 'หน่วยงาน',
  'Agency List': 'รายการหน่วยงาน',
  'Contract Management': 'การจัดการสัญญา',
  'Position List': 'รายชื่อตำแหน่ง',
  'Agency Name': 'ชื่อหน่วยงาน',
  'Add Agency': 'เพิ่มหน่วยงาน',
  'Edit Agency': 'แก้ไขหน่วยงาน',
  'ACRA NO': 'หมายเลข ACRA',
  'Person in Charge': 'ผู้รับผิดชอบ',
  'Company Address': 'ที่อยู่บริษัท',
  'Contact Email': 'อีเมลติดต่อ',
  'Add Contract': 'เพิ่มสัญญา',
  'Edit Contract': 'แก้ไขสัญญา',
  'Contract Start Date': 'วันที่เริ่มต้นสัญญา',
  'Contract End Date': 'วันที่สิ้นสุดสัญญา',
  'Attachment': 'ไฟล์แนบ',
  'Inactive': 'ไม่ใช้งาน',
  'Contract': 'สัญญา',
  'Are you sure you want to delete this agency?': 'คุณแน่ใจหรือว่าต้องการลบหน่วยงานนี้?',
  'Are you sure you want to delete this position?': 'คุณแน่ใจหรือว่าต้องการลบตำแหน่งนี้?',
  'agency_position': 'ตำแหน่ง',
  'Add Position': 'เพิ่มตำแหน่ง',
  'Edit Position': 'แก้ไขตำแหน่ง',
  'Choose Position': 'เลือกตำแหน่ง',
  'Weekdays': 'วันทำงาน',
  'Weekends': 'วันหยุดสุดสัปดาห์',
  'Monday': 'วันจันทร์',
  'Tuesday': 'วันอังคาร',
  'Wednesday': 'วันพุธ',
  'Thursday': 'วันพฤหัสบดี',
  'Friday': 'วันศุกร์',
  'Saturday': 'วันเสาร์',
  'Sunday': 'วันอาทิตย์',
  'Eve of PH day': 'วันก่อนวันหยุดราชการ',
  'PH Days': 'วันหยุดราชการ',
  'Contract Rate Management': 'การจัดการอัตราสัญญา',
  'No Register': 'ยังไม่ได้ลงทะเบียน',
  'Expired': 'หมดอายุ',
  'Certificate': 'ใบรับรอง',
  'Vehicle': 'ยานพาหนะ',
  'Malaysia': 'มาเลเซีย',
  'Netherlands': 'เนเธอร์แลนด์',
  'Retake': 'ทำใหม่',
  'thailand': 'ประเทศไทย',
  'Pre Selected': 'เลือกไว้แล้ว',
  'Clothing Size': 'ขนาดเสื้อผ้า',
  'ID Card No.': 'หมายเลขบัตรประชาชน',
  'Select All': 'เลือกทั้งหมด',
  'Employer': 'นายจ้าง',
  'Latest Operated': 'ดำเนินการล่าสุด',
  'Are you sure you want to delete this attachment?': 'คุณแน่ใจหรือว่าต้องการลบไฟล์แนบนี้?',
  'I.Event': 'I.เหตุการณ์',
  'II.Event Type': 'II.ประเภทเหตุการณ์',
  'III.Event Pax': 'III.จำนวนผู้เข้าร่วมเหตุการณ์',
  'IV.Estimated Revenue': 'IV.รายได้ที่คาดการณ์ไว้',
  'V.Position': 'V.ตำแหน่ง',
  'VI.Estimated Total Cost': 'VI.ค่าใช้จ่ายรวมที่คาดไว้',
  'Choose Attachment': 'เลือกไฟล์แนบ',
  'Add File': 'เพิ่มไฟล์',
  'Url': 'ลิงก์',
  'Avatar': 'อวาตาร์',

  // การแปลของปลั๊กอิน
  'Pull to refresh': 'ดึงเพื่อรีเฟรช',
  'Release ready': 'พร้อมปล่อยเพื่อรีเฟรช',
  'Refreshing...': 'กำลังรีเฟรช...',
  'Succeeded': 'สำเร็จ',
  'No more': 'ไม่มีเพิ่มเติม',
  'Failed': 'ล้มเหลว',
  'Last updated at %T': 'อัปเดตล่าสุดเมื่อ %T',
  'Pull to load': 'ดึงเพื่อโหลด',
  'Network Load Error': 'ข้อผิดพลาดในการโหลดเครือข่าย',
  'Loading...': 'กำลังโหลด...',
  'Data loading failed! Please refresh and try again': 'การโหลดข้อมูลล้มเหลว! กรุณารีเฟรชและลองใหม่อีกครั้ง',
  'There is currently no content available': 'ขณะนี้ไม่มีเนื้อหาให้บริการ',
  'Click again and exit the app': 'กดอีกครั้งเพื่อออกจากแอป',
  'The login credential have expired, please log in again.': 'ข้อมูลรับรองการเข้าสู่ระบบหมดอายุแล้ว กรุณาเข้าสู่ระบบอีกครั้ง',
  'Successful': 'สำเร็จ',
};
